summaryrefslogtreecommitdiffstats
path: root/source/kde/kde.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/kde/kde.SlackBuild')
-rwxr-xr-xsource/kde/kde.SlackBuild8
1 files changed, 7 insertions, 1 deletions
diff --git a/source/kde/kde.SlackBuild b/source/kde/kde.SlackBuild
index 1b58e99d2..11c8f2bd9 100755
--- a/source/kde/kde.SlackBuild
+++ b/source/kde/kde.SlackBuild
@@ -580,8 +580,14 @@ do
else
if [ -z "$PRINT_PACKAGE_NAME" ]; then
echo "${module} failed to build."
+ touch "${SLACK_KDE_BUILD_DIR}/${kde_module}.failed"
+ fi
+ # Seems counterproductive to exit upon the first package build failure. Perhaps sending it
+ # through another time would help it, if later packages fix the build environment.
+ # If you still want to exit on first failure, set $EXIT_ON_FAIL to anything.
+ if [ ! -z "$EXIT_ON_FAIL" ]; then
+ exit 1
fi
- exit 1
fi
cd - > /dev/null
done